package com.chenyang.nse.bussiness.entity.orm.table.core.desensitizationtask;

import com.chenyang.nse.bussiness.entity.orm.table.TBaseEntity;
import java.io.Serializable;
import javax.persistence.Entity;
import javax.persistence.Table;

@Entity
@Table(
   name = "DESENSITIZATIONTARGET"
)
public class Desensitizationtarget extends TBaseEntity implements Serializable {
   private String datasourceid;
   private String dataschema;
   private String taskid;
   private String execution_type;
   private String dmpimport;
   private String iskafka;
   private String targetfiledir;
   private String isrebuild;
   private String isclear;
   private String isindex;
   private String isprimary;
   private String istrigger;
   private String isfunction;
   private String isconstraint;
   private String isview;
   private String ispartition;
   private String inserttype;
   private String loadscripttype;
   private String isassignspace;

   public String getIstrigger() {
      return this.istrigger;
   }

   public void setIstrigger(String istrigger) {
      this.istrigger = istrigger;
   }

   public String getIsfunction() {
      return this.isfunction;
   }

   public void setIsfunction(String isfunction) {
      this.isfunction = isfunction;
   }

   public String getIsrebuild() {
      return this.isrebuild;
   }

   public void setIsrebuild(String isrebuild) {
      this.isrebuild = isrebuild;
   }

   public String getIsclear() {
      return this.isclear;
   }

   public void setIsclear(String isclear) {
      this.isclear = isclear;
   }

   public String getIsindex() {
      return this.isindex;
   }

   public void setIsindex(String isindex) {
      this.isindex = isindex;
   }

   public String getIsprimary() {
      return this.isprimary;
   }

   public void setIsprimary(String isprimary) {
      this.isprimary = isprimary;
   }

   public String getInserttype() {
      return this.inserttype;
   }

   public void setInserttype(String inserttype) {
      this.inserttype = inserttype;
   }

   public String getDatasourceid() {
      return this.datasourceid;
   }

   public void setDatasourceid(String datasourceid) {
      this.datasourceid = datasourceid;
   }

   public String getDataschema() {
      return this.dataschema;
   }

   public void setDataschema(String dataschema) {
      this.dataschema = dataschema;
   }

   public String getTaskid() {
      return this.taskid;
   }

   public void setTaskid(String taskid) {
      this.taskid = taskid;
   }

   public String getExecution_type() {
      return this.execution_type;
   }

   public void setExecution_type(String execution_type) {
      this.execution_type = execution_type;
   }

   public String getLoadscripttype() {
      return this.loadscripttype;
   }

   public void setLoadscripttype(String loadscripttype) {
      this.loadscripttype = loadscripttype;
   }

   public String getDmpimport() {
      return this.dmpimport;
   }

   public void setDmpimport(String dmpimport) {
      this.dmpimport = dmpimport;
   }

   public String getTargetfiledir() {
      return this.targetfiledir;
   }

   public void setTargetfiledir(String targetfiledir) {
      this.targetfiledir = targetfiledir;
   }

   public String getIsassignspace() {
      return this.isassignspace;
   }

   public void setIsassignspace(String isassignspace) {
      this.isassignspace = isassignspace;
   }

   public String getIsconstraint() {
      return this.isconstraint;
   }

   public void setIsconstraint(String isconstraint) {
      this.isconstraint = isconstraint;
   }

   public String getIsview() {
      return this.isview;
   }

   public void setIsview(String isview) {
      this.isview = isview;
   }

   public String getIspartition() {
      return this.ispartition;
   }

   public void setIspartition(String ispartition) {
      this.ispartition = ispartition;
   }

   public String getIskafka() {
      return this.iskafka;
   }

   public void setIskafka(String iskafka) {
      this.iskafka = iskafka;
   }
}
